// Include Standard files
#include <inarm.h>
#include <stdio.h>
#include <stdlib.h>
#include "board.h"

//*----------------------------------------------------------------------------
//* Function Name       : main
//* Object              : Main application.
//*----------------------------------------------------------------------------
int main (void)
{

  // Init UART interface
  UARTInitialize(9600);

  // Print walcome note
  UARTString("\n\r\n\r Walcome to Olimex SAM7-LA2 Development Board");
  UARTString("\n\r\t www.olimex.com/dev");
  UARTString("\n\r");

  // Test MMC card
  if(TestMMC())   { UARTString("\n\r ***** TEST MMC FAILED!!! ***** \n\r"); }
  else            { UARTString("\n\r ***** MMC Test success ***** \n\r"); }

  // loop forever
  while(1) {

  }
}
